SETTERM(1)

NUME
setterm - stabilește atributele terminalului

REZUMAT

setterm [opțiuni]

DESCRIERE

setterm scrie la ieșirea standard un șir de caractere care va invoca capacitățile terminalului specificat. Acolo unde este posibil, terminfo este consultat pentru a găsi șirul de caractere care trebuie utilizat. Unele opțiuni (marcate mai jos cu „Numai pentru consolele virtuale”) nu corespund unei funcții terminfo(5). În aceste cazuri, dacă tipul de terminal este „con” sau „linux”, se emite șirul care invocă capacitatea specificată pe consola virtuală PC Minix.

OPȚIUNI

Pentru opțiunile booleene (on sau off), valoarea implicită este on.

Mai jos, un 8-color poate fi black (negru), red (roșu), green (verde), yellow (galben), blue (albastru), magenta, cian sau white (alb).

Un 16-color poate fi un 8-color, sau grey (gri), sau bright (deschis, de exp: bright red = roșu deschis) urmat de red, green, yellow, blue, magenta, cyan, sau white.

Diferitele opțiuni de culoare pot fi configurate independent, cel puțin pe consolele virtuale, deși rezultatele configurării mai multor moduri (de exemplu, --underline și --half-bright) depind de caracteristicile echipamentului.

Argumentele opționale sunt recomandate cu „=” (semnul egal) și fără spațiu între opțiune și argument. De exemplu „--opțiune=argument”. setterm poate interpreta următorul argument neopțional ca fiind și el un argument opțional.

--appcursorkeys on|off
    Activează sau dezactivează modul de aplicare a tastelor-cursor. Când este activat, ESC O A, ESC O B etc. vor fi trimise pentru tastele-cursor în loc de ESC [ A, ESC [ B etc. Consultați secțiunea vi și Taste-cursor din Text-Terminal-HOWTO pentru a vedea cum acest lucru poate cauza probleme pentru utilizatorii de vi. Numai pentru consolele virtuale.

--append număr_consolă
    Precum --dump, dar se adaugă la fișierul de instantanee în loc să îl suprascrie. Funcționează numai dacă nu se oferă nicio opțiune --dump.

--background 8-color|default
    Stabilește culoarea de fundal a textului.

--blank[=0-60|force|poke]
    Stabilește intervalul de inactivitate, în minute, după care ecranul va fi șters automat (utilizând APM, dacă este disponibil). Fără un argument, obține starea de golire (returnează care „vt” (teminal virtual) a fost golit sau zero pentru un „vt” negolit). Numai pentru consolele virtuale.

    Argumentul force menține ecranul gol chiar dacă este apăsată o tastă.

    Argumentul poke deblochează ecranul.

--bfreq[=număr]
    Stabilește frecvența clopoțelului în Hz. În lipsa unui argument, valoarea implicită este 0. Numai pentru consolele virtuale.

--blength[=0-2000]
    Stabilește durata clopoțelului în milisecunde. În lipsa unui argument, valoarea implicită este 0. Numai pentru consolele virtuale.

--blink on|off
    Activează sau dezactivează modul de clipire. Cu excepția unei console virtuale, --blink off dezactivează toate atributele (aldin, semi-luminozitate, clipire, inversare).

--bold on|off
    Activează sau dezactivează modul aldin (foarte luminos). Cu excepția unei console virtuale, --bold off dezactivează toate atributele (aldin, semi-luminozitate, clipire, inversare).

--clear[=all|rest]
    Fără un argument sau cu argumentul all, se șterge întregul ecran, iar cursorul este fixat în poziția inițială, la fel cum face clear(1). Cu argumentul rest, ecranul este curățat de la poziția curentă a cursorului până la sfârșit.

--clrtabs[=tab1 tab2 tab3 ...]
    Șterge opririle de tabulare din pozițiile orizontale date ale cursorului, în intervalul 1-160. Fără argumente, șterge toate tabulatoarele. Numai pentru consolele virtuale.

--cursor on|off
    Activează sau dezactivează cursorul terminalului.

--default
    Stabilește opțiunile de redare ale terminalului la valorile implicite.

--dump[=număr_consolă]
    Scrie o instantanee a consolei virtuale cu numărul dat în fișierul specificat cu opțiunea --file, suprascriind conținutul acestuia; valoarea implicită este screen.dump. Fără un argument, se face o copie a consolei virtuale curente. Această opțiune prevalează asupra opțiunii --append.

--file nume-fișier
    Stabilește numele fișierului de instantanee pentru orice opțiune --dump sau --append de pe aceeași linie de comandă. Dacă această opțiune nu este prezentă, valoarea implicită este screen.dump în directorul curent. Un nume de rută care depășește valoarea maximă a sistemului va fi trunchiat, consultați PATH_MAX din linux/limits.h pentru a afla valoarea.

--foreground 8-color|default
    Stabilește culoarea de prim-plan a textului.

--half-bright on|off
    Activează sau dezactivează modul de atenuare (luminozitate redusă). Cu excepția unei console virtuale, --half-bright off dezactivează toate atributele (bold, semi-luminozitate, clipire, inversare).

--hbcolor 16-color
    Stabilește culoarea pentru caracterele semi-luminoase.

--initialize
    Afișează șirul de inițializare a terminalului, care de obicei stabilește opțiunile de redare ale terminalului și alte atribute la valorile implicite.

--inversescreen on|off
    Interschimbă culorile de prim-plan și de fundal pentru întregul ecran.

--linewrap on|off
    Face ca terminalul să continue pe o nouă linie atunci când o linie este plină.

--msg on|off
    Activează sau dezactivează trimiterea mesajelor printk() din nucleu către consolă. Numai pentru console virtuale.

--msglevel 0-8
    Stabilește nivelul de jurnalizare în consolă pentru mesajele printk() ale nucleului. Toate mesajele strict mai importante decât acesta vor fi imprimate, astfel încât un nivel de jurnalizare de 0 are același efect ca --msg on, iar un nivel de jurnalizare de 8 va imprima toate mesajele nucleului. klogd(8) poate fi o interfață mai convenabilă pentru înregistrarea mesajelor din nucleu.

    Numai pentru console virtuale.

--powerdown[=0-60]
    Stabilește intervalul de oprire VESA în minute. În lipsa unui argument, valoarea implicită este 0 (dezactivarea opririi). În cazul în care consola este blocată sau monitorul se află în modul de suspendare, atunci monitorul va intra în modul de suspendare vsync sau, respectiv, în modul de oprire a alimentării după ce această perioadă de timp s-a scurs.

--powersave mod
    Valorile valide pentru mod sunt:

    vsync|on
        Pune monitorul în modul de suspendare VESA vsync.

    hsync
        Pune monitorul în modul de suspendare VESA hsync.

    powerdown
        Pune monitorul în modul de oprire VESA.

    off
        Dezactivează funcțiile de economisire a energiei ale monitorului.

--regtabs[=1-160]
    Șterge toate opțiunile de tabulare, apoi stabilește un model de tabulare regulat, cu o tabulație la fiecare număr specificat de poziții. În lipsa unui argument, valoarea implicită este 8. Numai pentru consolele virtuale.

--repeat on|off
    Activează sau dezactivează frecvența de repetiție a tastelor. Numai pentru consolele virtuale.

--reset
    Afișează șirul de reinițializare a terminalului, care de obicei restabilește terminalul la starea de pornire.

--resize
    Restabilește dimensiunea terminalului prin evaluarea numărului maxim de rânduri și coloane. Acest lucru este util atunci când geometria reală și controlorul terminalului din nucleu nu sunt sincronizate. Cel mai notabil caz de utilizare este cel al consolelor seriale, care nu utilizează ioctl(2), ci doar fluxuri de octeți și întreruperi.

--reverse on|off
    Activează sau dezactivează modul video inversat. Cu excepția unei console virtuale, --reverse off dezactivează toate atributele (aldin, semi-luminozitate, clipire, inversare).

--store
    Stochează opțiunile curente de redare ale terminalului (culori de prim-plan și de fundal) ca valori care vor fi utilizate la reinițierea la valorile implicite. Numai pentru consolele virtuale.

--tabs[=tab1 tab2 tab3 ...]
    Stabilește opririle de tabulare la pozițiile orizontale date ale cursorului, în intervalul 1-160. Fără argumente, afișează valorile actuale ale opririlor de tabulare.

--term nume_terminal
    Suprascrie variabila de mediu TERM.

--ulcolor 16-color
    Stabilește culoarea pentru caracterele subliniate. Numai pentru consolele virtuale.

--underline on|off
    Activează sau dezactivează modul de subliniere.

-h, --help
    Afișează acest mesaj de ajutor și iese.

-V, --version
    Afișează versiunea și iese.

AVERTISMENT

Utilizarea setterm în combinație cu redirecționarea ieșirii standard poate avea rezultate neașteptate, deoarece unele opțiuni operează la intrarea standard. Pentru a preveni problemele, redirecționați întotdeauna atât intrarea standard, cât și ieșirea standard către același dispozitiv.

COMPATIBILITATE

Începând cu versiunea 2.25, setterm suportă opțiuni lungi cu două cratime, de exemplu --help, pe lângă opțiunile lungi istorice cu o singură cratimă, de exemplu -help. În scripturi, este mai bine să se utilizeze o singură cratimă, compatibilă cu trecutul, decât o cratimă dublă. În prezent, nu există planuri și nici motive întemeiate pentru a întrerupe compatibilitatea cu o singură cratimă.

ERORI

Diferențele dintre versiunile Minix și Linux nu sunt documentate.

CONSULTAȚI ȘI

stty(1), tput(1), tty(4), terminfo(5)

RAPORTAREA ERORILOR

Pentru rapoarte de eroare, folosiți

DISPONIBILITATE

Comanda setterm face parte din pachetul util-linux care poate fi descărcat de la